classification
Title: define PATH_MAX for GNU/Hurd in Python/pythonrun.c
Type: Stage:
Components: Interpreter Core Versions: Python 3.5, Python 3.4
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: doko, haypo, loewis, python-dev, twouters
Priority: normal Keywords: patch

Created on 2014-04-16 22:32 by doko, last changed 2014-11-05 14:19 by haypo.

Files
File name Uploaded Description Edit
hurd-path_max.diff doko, 2014-04-16 22:32
Messages (7)
msg216611 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2014-04-16 22:32
PATH_MAX is not defined on GNU/Hurd. Take the same approach as taken for Windows in the very same file and define it in terms of MAXPATHLEN.
msg216712 - (view) Author: Thomas Wouters (twouters) * (Python committer) Date: 2014-04-17 17:15
You should put the definition closer to the Windows one (right after or before it) rather than further down the file. Other than that, looks good.
msg216718 - (view) Author: Roundup Robot (python-dev) Date: 2014-04-17 17:49
New changeset ca2edbefca35 by doko in branch '3.4':
Fixes for KFreeBSD and the Hurd:
http://hg.python.org/cpython/rev/ca2edbefca35
msg216723 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2014-04-17 18:29
fixed
msg230663 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2014-11-05 07:06
Reopening. What problem does this fix? AFAICT, PATH_MAX isn't used at all (anymore).
msg230680 - (view) Author: Roundup Robot (python-dev) Date: 2014-11-05 14:15
New changeset d6fb87972dee by Victor Stinner in branch 'default':
Issue #20597, #21274: Remove unused definition of PATH_MAX on GNU/Hurd,
https://hg.python.org/cpython/rev/d6fb87972dee
msg230683 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2014-11-05 14:19
In Python 3.5, PATH_MAX is no more used in Modules/main.c nor Python/pythonrun.c. I removed the "#define PATH_MAX ..." on Hurd.

I didn't check Python 3.4.
History
Date User Action Args
2014-11-05 14:19:18hayposetnosy: + haypo
messages: + msg230683
2014-11-05 14:15:40python-devsetmessages: + msg230680
2014-11-05 07:06:03loewissetstatus: closed -> open

nosy: + loewis
messages: + msg230663

resolution: fixed ->
2014-04-17 18:29:22dokosetstatus: open -> closed
resolution: fixed
messages: + msg216723
2014-04-17 17:49:10python-devsetnosy: + python-dev
messages: + msg216718
2014-04-17 17:15:56twouterssetmessages: + msg216712
2014-04-17 15:57:39dokosetnosy: + twouters
2014-04-16 22:32:56dokocreate